﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Estat.Sri.Sdmx.MappingStore.Store.Properties {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "16.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class Resources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Resources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("Estat.Sri.Sdmx.MappingStore.Store.Properties.Resources", typeof(Resources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Failure: Cannot categorize {0}, because it does not exist
        ///.
        /// </summary>
        internal static string ErrorCategorisationCannotCategoriseDoesntExistFormat1 {
            get {
                return ResourceManager.GetString("ErrorCategorisationCannotCategoriseDoesntExistFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Failure: {0} does not exist so it cannot be referenced from {1}
        ///.
        /// </summary>
        internal static string ErrorCategorisationDoesntExistFormat2 {
            get {
                return ResourceManager.GetString("ErrorCategorisationDoesntExistFormat2", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Dataflow {0} uses the DSD:
        /// ID: {1}
        /// VERSION:{2}
        /// AGENCY: {3}
        ///.
        /// </summary>
        internal static string ErrorDataflowUsesDSDThatFormat4 {
            get {
                return ResourceManager.GetString("ErrorDataflowUsesDSDThatFormat4", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to {0} which doesn&apos;t exist in the Mapping Store.
        /// </summary>
        internal static string ErrorDoesnotExistFormat1 {
            get {
                return ResourceManager.GetString("ErrorDoesnotExistFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Not {0}: {1}, {2}.
        /// </summary>
        internal static string ErrorFailureCannotBeInsertFormat3 {
            get {
                return ResourceManager.GetString("ErrorFailureCannotBeInsertFormat3", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to HierarchicalCodeList {0} uses the CodeList:
        /// ID: {1}
        /// VERSION:{2}
        /// AGENCY: {3}
        /// which doesn&apos;t exist in the Mapping Store.
        /// </summary>
        internal static string ErrorHclUsesCodelistNotExistFormat4 {
            get {
                return ResourceManager.GetString("ErrorHclUsesCodelistNotExistFormat4", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to HierarchicalCodeList {0} uses the CodeList:
        /// ID: {1}
        /// VERSION:{2}
        /// AGENCY: {3}
        /// which is not Final.
        /// </summary>
        internal static string ErrorHclUsesCodelistNotFinalFormat4 {
            get {
                return ResourceManager.GetString("ErrorHclUsesCodelistNotFinalFormat4", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to {0} which is not Final.
        /// </summary>
        internal static string ErrorNotFinalFormat1 {
            get {
                return ResourceManager.GetString("ErrorNotFinalFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Not supported..
        /// </summary>
        internal static string ErrorNotSupported {
            get {
                return ResourceManager.GetString("ErrorNotSupported", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Cannot determine parent.
        /// </summary>
        internal static string ExceptionCannotDetermineParent {
            get {
                return ResourceManager.GetString("ExceptionCannotDetermineParent", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Invalid PRIMARY KEY value provided..
        /// </summary>
        internal static string ExceptionInvalidPrimaryKey {
            get {
                return ResourceManager.GetString("ExceptionInvalidPrimaryKey", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Only Component structure types are supported..
        /// </summary>
        internal static string ExceptionNotComponentType {
            get {
                return ResourceManager.GetString("ExceptionNotComponentType", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Not identifiable structure type provided..
        /// </summary>
        internal static string ExceptionNotIdentifiable {
            get {
                return ResourceManager.GetString("ExceptionNotIdentifiable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Unsupported attachment level..
        /// </summary>
        internal static string ExceptionUnsupportedAttachmentLevel_ {
            get {
                return ResourceManager.GetString("ExceptionUnsupportedAttachmentLevel_", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Reference to an unsupported structure: {0}.
        /// </summary>
        internal static string ExceptionUnsupportedStructureReferenceFormat1 {
            get {
                return ResourceManager.GetString("ExceptionUnsupportedStructureReferenceFormat1", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to {0} {1}: {2}. {3}: {4}.
        /// </summary>
        internal static string SubmitStructureMessage {
            get {
                return ResourceManager.GetString("SubmitStructureMessage", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Successfully categorized {0} with Category {1} of {2}
        ///.
        /// </summary>
        internal static string SuccessCategorisationFormat3 {
            get {
                return ResourceManager.GetString("SuccessCategorisationFormat3", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Success: {0} was inserted.{1}.
        /// </summary>
        internal static string SuccessInsertFormat2 {
            get {
                return ResourceManager.GetString("SuccessInsertFormat2", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Warning: Ignoring duplicate categorisation of {0} with {1}
        ///.
        /// </summary>
        internal static string WarningDuplicateCategorisationFormat2 {
            get {
                return ResourceManager.GetString("WarningDuplicateCategorisationFormat2", resourceCulture);
            }
        }
    }
}
